Web lists-archives.com

tar-1.29 fails to build probably in relation with SSP




Hello,

I have installed the latest snapshot, dated 20171201, which includes the "export SSP functions" commit (dated 20171127).
I'm also up to date with the packages (gcc 6.4.0 etc.). My uname -a produces:
CYGWIN_NT-6.1-WOW PC13169 2.10.0(0.323/5/3)  i686 Cygwin

I tried to build tar-1.29 and i get several errors, SSP-related i suppose, the first ones being:

In file included from /usr/include/stdlib.h:338:0,
                 from ./stdlib.h:36,
                 from acl-internal.h:23,
                 from acl-internal.c:24:
/usr/include/ssp/stdlib.h:9:20: error: expected declaration specifiers or '...' before 'mbstowcs'
 __ssp_decl(size_t, mbstowcs, (wchar_t *__buf, const char *__src, size_t __n))
                    ^~~~~~~~
/usr/include/ssp/stdlib.h:9:30: error: expected declaration specifiers or '...' before '(' token
 __ssp_decl(size_t, mbstowcs, (wchar_t *__buf, const char *__src, size_t __n))
                              ^
/usr/include/ssp/stdlib.h:16:28: error: expected declaration specifiers or '...' before 'wcstombs'
 __ssp_redirect_raw(size_t, wcstombs, \
                            ^~~~~~~~
/usr/include/ssp/stdlib.h:17:5: error: expected declaration specifiers or '...' before '(' token
     (char *__buf, const wchar_t *__src, size_t __len), \
     ^

I cannot figure out what i should be doing (instead of this e-mail). If i disable SSP
(#define _FORTIFY_SOURCE 0 in tar-1.29/config.h.in), all goes well.

In addition, i can tell that this tar-1.29 has built with no problem under the Cygwin packages (cygwin-, cygwin-devel- and cygwin-doc-)
that were up to date on the 2017-09-21 (must be one of 2.9.0-1 or -2 or -3).

Hope this helps.

Denis Excoffier.


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple